com.sun.jdi

## Interface StringReference

All Superinterfaces:
  Mirror, ObjectReference, Value

    public interface StringReference
    extends ObjectReference

A string object from the target VM. A StringReference is an `ObjectReference` with additional access to string-specific information from the target VM.

Since:
  1.3

### Field Summary

### Fields inherited from interface com.sun.jdi.ObjectReference

`INVOKE_NONVIRTUAL, INVOKE_SINGLE_THREADED`

### Method Summary

Methods
`String` `value()` Returns the StringReference as a String.

### Methods inherited from interface com.sun.jdi.ObjectReference

`disableCollection, enableCollection, entryCount, equals, getValue, getValues, hashCode, invokeMethod, isCollected, owningThread, referenceType, referringObjects, setValue, uniqueID, waitingThreads`

### Methods inherited from interface com.sun.jdi.Value

`type`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Method Detail

#### value

    String value()

Returns the StringReference as a String. The returned string is the equivalent of the mirrored string, but is an entity in the client VM and can be manipulated like any other string.

Returns:
  the string value.

Copyright © 1999, 2017, Oracle and/or its affiliates. All rights reserved.